#include <SoftwareSerial.h>
int bluetoothTx = 5;
int bluetoothRx = 6;
SoftwareSerial bluetooth(bluetoothTx, bluetoothRx);

void setup()
{
 pinMode(11,OUTPUT); // Blue pin of RGB LED
 pinMode(10,OUTPUT); // Green pin of RGB LED
 pinMode(9,OUTPUT); // Red pin of RGB LED
 //Setup usb serial connection to computer
  Serial.begin(9600);
 //Setup Bluetooth serial connection to android
  bluetooth.begin(9600);
}

void loop()
{
  //Read from bluetooth and write to usb serial
  if(bluetooth.available()>= 2 )
  {
    unsigned int color1 = bluetooth.read();
    unsigned int color2 = bluetooth.read();
    unsigned int color = (color2 *256) + color1;
    Serial.println(color);
   
    if (color >= 1000 && color <1255)
    {
    int blue = color;
    blue = map(blue, 1000,1255,0,255);
    int blue1 = 255-blue;
    analogWrite(11,blue1);
    //Serial.print(blue1);
    }
   
    if (color >=2000 && color <2255)
    {
      int green = color;
      green = map(green,2000,2255,0,255);
      int green1 = 255 - green;
      analogWrite(10,green1);
     // Serial.print(green1);
    }
   
    if (color >=3000 && color < 3255)
    {
      int red = color;
      red = map(red, 3000, 3255,0,255);
      int red1 = 255 - red;
      analogWrite(9,red1);
      //Serial.print(red1);
    }
 }
}


